﻿namespace testmethod
{
    using System;
    using Bentley.Interop.MicroStationDGN;

    class Program
    {
        static void Main(string[] args)
        {
            Application ustnApp = new Bentley.Interop.MicroStationDGN.ApplicationClass();

            ShapeElement shapeEl = ustnApp.ActiveModelReference.GetElementByID(510).AsShapeElement();
            Point3d[] vertices = shapeEl.GetVertices();

            TextElement textEl = ustnApp.ActiveModelReference.GetElementByID(511).AsTextElement();
            Point3d textOrigin = textEl.get_Origin();

            int isTextInShape = ustnApp.Point3dInPolygonXY(textOrigin, vertices);

            string message = String.Format("Point3dInPolygonXY result: {0}", isTextInShape.ToString());
            ustnApp.MessageCenter.AddMessage(message, null, MsdMessageCenterPriority.Debug, false);

            Console.WriteLine("MicroStation ended");
            Console.ReadLine();
        }
    }
}
